package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TMiStockBak;

/**
 * 库存备份Mapper接口
 *
 * @author tony
 * @date 2024-06-14
 */
public interface TMiStockBakMapper extends BaseMapper<TMiStockBak> //修改
{
    /**
     * 查询库存备份
     *
     * @param id 库存备份主键
     * @return 库存备份
     */
    public TMiStockBak selectTMiStockBakById(Long id);

    /**
     * 查询库存备份列表
     *
     * @param tMiStockBak 库存备份
     * @return 库存备份集合
     */
    public List<TMiStockBak> selectTMiStockBakList(TMiStockBak tMiStockBak);

    /**
     * 新增库存备份
     *
     * @param tMiStockBak 库存备份
     * @return 结果
     */
    public int insertTMiStockBak(TMiStockBak tMiStockBak);

    /**
     * 修改库存备份
     *
     * @param tMiStockBak 库存备份
     * @return 结果
     */
    public int updateTMiStockBak(TMiStockBak tMiStockBak);

    /**
     * 删除库存备份
     *
     * @param id 库存备份主键
     * @return 结果
     */
    public int deleteTMiStockBakById(Long id);

    /**
     * 批量删除库存备份
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTMiStockBakByIds(Long[] ids);

    /**
     * 批量启用库存备份
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTMiStockBakByIds(Long[] ids);

    /**
     * 批量禁用库存备份
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTMiStockBakByIds(Long[] ids);

}
